libmono-addins-cil-dev_1.0+git20130406.adcd75b-3_all.deb


Advertisement

Description

libmono-addins-cil-dev - addin framework for extensible CLI applications/libraries

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmono-addins-cil-dev
Package version: 1.0+git20130406.adcd75b
Package release: 3
Package architecture: all
Package type: deb
Installed size: 39 B
Download size: 7.50 KB
Official Mirror: ftp.br.debian.org
Mono.Addins is a framework for creating extensible CLI applications, and for creating libraries which extend those applications. Mono.Addins has been designed to be easy to use and useful for a wide range of applications: from simple applications with small extensibility needs, to complex applications which need support for large add-in structures. This new framework intends to set an standard for building extensible applications and add-ins in Mono. This package contains development files related to the Mono.Addins library, and should be used for compilation.

Replaces

  • libmono-addins0.2-cil << 0.4-6

    Download

    Source package: mono-addins

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmono-addins-cil-dev deb package:
      # sudo apt-get install libmono-addins-cil-dev

    Files

    • /usr/lib/pkgconfig/mono-addins-cecilreflector.pc
    • /usr/lib/pkgconfig/mono-addins-setup.pc
    • /usr/lib/pkgconfig/mono-addins.pc
    • /usr/share/doc/libmono-addins-cil-dev/changelog.Debian.gz
    • /usr/share/doc/libmono-addins-cil-dev/changelog.gz
    • /usr/share/doc/libmono-addins-cil-dev/copyright

    Changelog

    2013-10-10 - Jo Shields <directhex@apebox.org> mono-addins (1.0+git20130406.adcd75b-3) unstable; urgency=low * [1c8ed63] Add CecilReflector pcfile

    2013-10-10 - Jo Shields <directhex@apebox.org> mono-addins (1.0+git20130406.adcd75b-2) unstable; urgency=low * Upload to Unstable

    2013-04-26 - Jo Shields <directhex@apebox.org> mono-addins (1.0+git20130406.adcd75b-1) experimental; urgency=low * [369ec9c] Imported Upstream version 1.0+git20130406.adcd75b * [4e90041] Require at least mono-devel 2.8, due to .NET 4.0 assumptions * [07be9a9] Include policy files for 0.6 ABI, as we have a new 1.0 ABI * [39e565c] Remove obsolete patch 0001-configurable_compiler.patch.patch * [2a56c39] Remove obsolete patch automake_1.11.2_pkglibdir_workaround.patch * [b24d77f] Remove obsolete patch debian/patches/use-microsoft-build-utilities-4.0 * [889f2fd] Bump API version to 1.0

    2012-01-23 - Jo Shields <directhex@apebox.org> mono-addins (0.6.2-2) unstable; urgency=low * [187e884] Correct order of dh arguments * [c8a1da2] Update debian/rules for DH8-compatible "--with cli" * [a797178] Add a workaround for Autpmake 1.11.2's insistance that you can't store SCRIPTS in pkglibdir * [32bd46f] Add patch from Iain Lane to use the correct version of Microsoft.Build.Utilities

    2011-11-03 - Iain Lane <laney@debian.org> mono-addins (0.6.2-1) unstable; urgency=low [ Julian Taylor ] * [96a5719] match -msbuild-cil-dev and -gui-cil-dev depends to their pkg-config files both Require the pkg-config file from libmono-addins-cil-dev and libmono-addins-gui-cil-dev needs the file from libgtk2.0-cil-dev [ Iain Lane ] * [e9b2141] Imported Upstream version 0.6.2 * [7fd2e8a] Remove patch applied upstream

    2011-08-02 - Iain Lane <laney@debian.org> mono-addins (0.6.1-2) unstable; urgency=high * urgency=high for RC bug fix * [30fe70d] Cherry-pick patch to fix crash when looking for addin description. Thanks to Andrés G. Aragoneses <knocte@gmail.com> (Closes: #630590) * [cba0471] Fix version on debhelper BD to guarantee override support

    2011-06-05 - Iain Lane <laney@debian.org> mono-addins (0.6.1-1) unstable; urgency=low * [bdc09da] Imported Upstream version 0.6.1 + Correctly initialises adidnInfoInstalled in the addin manager (Closes: #629152) * [2832c45] Remove obsolete fix_addin_scan patch from tree * [297aae5] Remove portion of fix_mono-addins-msbuild.pc.patch applied upstream * [3d60321] Standards-Version → 3.9.2, no changes required * [e6c491d] Remove libmono BD

    2011-04-25 - Jo Shields <directhex@apebox.org> mono-addins (0.6-2) unstable; urgency=low * Upload to Unstable

    Advertisement
    Advertisement